/*
  Copyright 2004 Michalis Kamburelis.

  This file is part of "Jamy & Nory".

  "Jamy & Nory" is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  "Jamy & Nory" is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with "Jamy & Nory"; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package jamy_i_nory.client;

import java.io.*;
import java.nio.channels.*;
import java.util.*;
import java.net.*;
import javax.swing.*;
import java.applet.*;
import java.awt.*;
import jamy_i_nory.common.*;
import jamy_i_nory.common.iosystem.*;

/** This class descends from JApplet and allows to run {@link Client} 
   as an applet. */
public class ClientApplet extends JApplet {

  static public class IOError extends Error { 
    IOError(Throwable cause) { super(cause); }
  }

  public void init()
  {  
    /* Jak to dziaa ? No c, 
       1. najpierw tworzymy IOSwing co gwarantuje nam e zainicjujemy 
          kontrolki Swinga (chocia de facto moglibymy t inicjalizacj 
          take wrzuci do wtku).
       2. potem klasa Client dziaa w wtku. W ten sposb powracamy z metody
          init() (co jest zasadnicze - wymagane jest od apletu aby 
          nie blokowa swojego init(), wic nie moemy caego `new Client'
          wrzuci po prostu do init() i poczeka a skoczy i wtedy dopiero
          powrci z init()).
    */
    
    /* TODO: serverHost, port, useStylish we z parametrw apletu */
    final IOSystem io = new IOSwing(this, false);
    
    (new Thread() {
      public void run() 
      {
        try {
          new Client("127.0.0.1", 1111, io);
        } catch (java.io.IOException e) {
          throw new IOError(e);
        }
      }
    }).start();
  }
}
/*
 * $Log: ClientApplet.java,v $
 * Revision 1.1  2004/02/19 21:54:16  michalis
 * + klasa ClientApplet ostatecznie zrobiona - dziaa !
 * * useStyles wycignite jako parametr konstruktorw IOSwing
 * + JamyUtils z pomocniczymi rzeczami gromadzcymi parametry do interfejsw,
 *   teraz i serwer i klient i single maj peen zestaw 3 parametrw --console, --simple-swing, --stylish-swing
 * * odpowiednie uaktualnienia w dokumentacji
 *
 */
