/*
  Copyright 2004 Michalis Kamburelis, Micha Saaban.

  This file is part of "Jamy & Nory".

  "Jamy & Nory" is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  "Jamy & Nory" is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with "Jamy & Nory"; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
 
package jamy_i_nory.game;

/** Abstract armor class. Armor is something that one can wear,
   that modifies his statistics and that has some defense. */
public class Armor extends StatModifyingItem {

  public int defense; /* TODO: final ? */

  public Armor(float aWeight, String aName, String aKind, 
    String aSpecialName, StatModifier aStat, int aDefense)
  {
    super(aWeight, aName, aKind, aSpecialName, aStat);
    defense = aDefense;
  }  
  
  public String toString()
  {
    return super.toString() +" (" +defense +")";
  }
}

/* 
 * $Log: Armor.java,v $
 * Revision 1.1  2004/02/18 14:37:28  michalis
 * * pl stringi
 * * --help output changed (to reflect that those classes will be run by bin/scripts)
 * preparations for ClientApplet:
 * * Client rozdzielony na Client i ClientStandalone
 * * znaczna cz pakietu common przeniesiona do nowego pakietu game
 * X* make jamy_i_nory_client_applet.jar
 *
 * Revision 1.10  2004/02/09 23:08:49  michalis
 * + GPL license clause i copyrighty (moje i gdzieniegdzie Michaa, sorry Rafa
 *   ale naprawd nic nie zostao) do wszystkich *.java
 *
 * Revision 1.9  2004/01/15 13:41:21  emes
 * * Armor & Weapon are not abstract anymore
 *
 * Revision 1.8  2004/01/15 13:19:42  emes
 * * s/Pullic/Public/
 *
 * Revision 1.7  2004/01/14 18:50:04  michalis
 * * Item and all subclasses redesigned
 *
 * Revision 1.6  2004/01/13 20:15:16  michalis
 * + Class StatModifyingItem as base class for Weapon, Ring and Armor
 *
 * Revision 1.5  2004/01/10 03:08:58  michalis
 * * Many small fixes; mainly improvements to javadoc comments
 *
 * Revision 1.4  2004/01/08 22:45:37  michalis
 * - Usunalem wlasny blad - te "reczne" logi ktore zaczalem tworzyc
 *
 * Revision 1.3  2004/01/08 22:37:42  michalis
 * + CVS Logs appended to all .java files
 *
 *
 */
