/*
  Copyright 2004 Michalis Kamburelis.

  This file is part of "Jamy & Nory".

  "Jamy & Nory" is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  "Jamy & Nory" is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with "Jamy & Nory"; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package jamy_i_nory.game;

/** Cay sens istnienia tej klasy to dostarczenie pola {@link #id id}. */
public class Ided {

  /** Unique id for every object.
     Wszystkie obiekty podklas Ided bd miay rne id. 
     W ten sposb klient i serwer gry bd mogy rozmawia o tych 
     obiektach w jednoznaczny sposb - np. klient moe powiedzie
     "mj gracz atakuje potwora" podajc id potwora i w ten sposb
     serwer bdzie mg zweryfikowa czy w momencie przetwarzania 
     tego polecenia dany potwr cigle jest w tej samej lokacji
     co gracz (i jeli tak to serwer bdzie te wiedzia gdzie 
     znajduje si ten potwr na licie creatures() lokacji i world). */
  final public long id;
  
  static private long nextid = 0;
  
  Ided() { id = nextid++; }

  public String toString ()
  {
      return String.valueOf (id);
  }
}

/*
 * $Log: Ided.java,v $
 * Revision 1.1  2004/02/18 14:37:28  michalis
 * * pl stringi
 * * --help output changed (to reflect that those classes will be run by bin/scripts)
 * preparations for ClientApplet:
 * * Client rozdzielony na Client i ClientStandalone
 * * znaczna cz pakietu common przeniesiona do nowego pakietu game
 * X* make jamy_i_nory_client_applet.jar
 *
 * Revision 1.4  2004/02/09 23:08:50  michalis
 * + GPL license clause i copyrighty (moje i gdzieniegdzie Michaa, sorry Rafa
 *   ale naprawd nic nie zostao) do wszystkich *.java
 *
 * Revision 1.3  2004/01/19 01:42:21  michalis
 * + world.creatures()
 * * Location.creatures() is now only calculated
 * * appropriate docs updated in Ided
 *
 * Revision 1.2  2004/01/15 14:08:07  emes
 * + added toString ()
 *
 * Revision 1.1  2004/01/12 04:08:11  michalis
 * + Creature.id moved to new class Ided, Ided is now the base class of
 *   Being, Item and LinkToLocation
 *
 */
