/*
  Copyright 2004 Michalis Kamburelis, Micha Saaban.

  This file is part of "Jamy & Nory".

  "Jamy & Nory" is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  "Jamy & Nory" is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with "Jamy & Nory"; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package jamy_i_nory.game;

import java.util.*;

/** Lista przechowujca elementy klasy Ided. Kay element musi by typu
   Ided, wszystkie elementy musz by rne (w sensie referencji),
   adnych nulli. */
public class IdedList extends LinkedList {

    /** Metoda zwracajca obiekt na podstawie jego ID. null jeli nie znalaz. */
    public Ided byId (long id)
    {
        Ided        obj;
        Iterator    i = this.iterator();

        while (i.hasNext()) {
            obj = (Ided) i.next();
            if (obj.id == id) return obj;
        }
        return null;
    }

    public IdedList ()
    {
        super ();
    }

    public IdedList (Collection c)
    {
        super (c);
    }
}

/*
 * $Log: IdedList.java,v $
 * Revision 1.1  2004/02/18 14:37:28  michalis
 * * pl stringi
 * * --help output changed (to reflect that those classes will be run by bin/scripts)
 * preparations for ClientApplet:
 * * Client rozdzielony na Client i ClientStandalone
 * * znaczna cz pakietu common przeniesiona do nowego pakietu game
 * X* make jamy_i_nory_client_applet.jar
 *
 * Revision 1.3  2004/02/09 23:08:50  michalis
 * + GPL license clause i copyrighty (moje i gdzieniegdzie Michaa, sorry Rafa
 *   ale naprawd nic nie zostao) do wszystkich *.java
 *
 * Revision 1.2  2004/01/18 22:47:41  michalis
 * + docs improved
 *
 * Revision 1.1  2004/01/15 19:47:00  emes
 * + added class IdedList for items with id
 * + method IdedList.byId() returns Ided object with specified id
 *
 *
 */
