/*
  Copyright 2004 Michalis Kamburelis.

  This file is part of "Jamy & Nory".

  "Jamy & Nory" is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  "Jamy & Nory" is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with "Jamy & Nory"; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package jamy_i_nory.game;

import java.util.*;

/** Przedmiot ktry przechowuje w sobie inne przedmioty. Wszelkie
   plecaki, torby i takie tam bd mogy by zrobione jako 
   instancje tej klasy. 
   
   <p>TODO: Mona wymyla rne ciekawe rozszerzenia tej klasy.
   Np. capacity na ilo elementw, capacity na sumaryczne weight,
   niemono noszenia pewnych przedmiotw (np. mona mie w plecaku
   tylko elementy SmallItems ? Bdzie wtedy te mona unikn
   moliwoci wkadania plecaka do rodka plecaka.) Widziaem
   gry w ktrych te elementy wystpoway w rnych konfiguracjach.
   Trzeba si zastanowi co zrobi eby byo ciekawie zamiast
   implementowa tutaj wszystko co kiedykolwiek zaimplementowano
   dla plecakw w grze. */
public class ItemsBag extends Item {

  IdedList fItems = new IdedList();
  
  /** Lista przedmiotw w rodku tego przedmiotu. Moesz j
     swobodnie modyfikowa (dopki speniasz podane niej warunki).
     
     <p>Nie ma w tym momencie na to adnego zabezpieczenia (TODO?), 
     ale ta lista moe zawiera tylko rne (w sensie referencji)
     elementy klasy {@link Item Item}. adnych nulli. */
  public IdedList items() { return fItems; }
  
  /** weight w tej klasie sumuje wag weight wszystkich przedmiotw
     na licie {@link #items} i dodaje do tego internalWeight.
     A wic internalWeight to waga pustego plecaka, natomiast
     weight to waga faktycznego plecaka zapakowanego przedmiotami
     w {@link #items}. */
  public float weight()
  {
    Iterator i = items().iterator();
    float result = 0.0f;
    while (i.hasNext()) result += ((Item) i.next()).weight();
    result += internalWeight;
    return result;
  }

  ItemsBag(float aInternalWeight, String aName, String aKind, String aSpecialName)
  {
    super(aInternalWeight, aName, aKind, aSpecialName);
  }
}

/*
 * $Log: ItemsBag.java,v $
 * Revision 1.1  2004/02/18 14:37:28  michalis
 * * pl stringi
 * * --help output changed (to reflect that those classes will be run by bin/scripts)
 * preparations for ClientApplet:
 * * Client rozdzielony na Client i ClientStandalone
 * * znaczna cz pakietu common przeniesiona do nowego pakietu game
 * X* make jamy_i_nory_client_applet.jar
 *
 * Revision 1.4  2004/02/09 23:08:50  michalis
 * + GPL license clause i copyrighty (moje i gdzieniegdzie Michaa, sorry Rafa
 *   ale naprawd nic nie zostao) do wszystkich *.java
 *
 * Revision 1.3  2004/01/15 20:00:21  emes
 * * s/List/IdedList/
 *
 * Revision 1.2  2004/01/15 19:47:00  emes
 * + added class IdedList for items with id
 * + method IdedList.byId() returns Ided object with specified id
 *
 * Revision 1.1  2004/01/14 19:53:41  michalis
 * * Item.weight splitted to internalWeight and weight(), + ItemsBag, + Player.backpack
 *
 */
