/*
  Copyright 2004 Michalis Kamburelis.

  This file is part of "Jamy & Nory".

  "Jamy & Nory" is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  "Jamy & Nory" is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with "Jamy & Nory"; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package jamy_i_nory.game;

/** An Item that, when used as one of {@link Being#usedItem}, modifies
   user statistics. */
public class StatModifyingItem extends Item {

  public StatModifier stat;
  
  StatModifyingItem(float aWeight, String aName, String aKind, 
    String aSpecialName, StatModifier aStat)
  {
    super(aWeight, aName, aKind, aSpecialName);
    stat = aStat;
  }

  public String toString()
  {
    String statToString = stat.toString();
    return super.toString() +(statToString != "" ? " " +statToString : "");
  }  
}

/*
 * $Log: StatModifyingItem.java,v $
 * Revision 1.1  2004/02/18 14:37:34  michalis
 * * pl stringi
 * * --help output changed (to reflect that those classes will be run by bin/scripts)
 * preparations for ClientApplet:
 * * Client rozdzielony na Client i ClientStandalone
 * * znaczna cz pakietu common przeniesiona do nowego pakietu game
 * X* make jamy_i_nory_client_applet.jar
 *
 * Revision 1.4  2004/02/09 23:08:50  michalis
 * + GPL license clause i copyrighty (moje i gdzieniegdzie Michaa, sorry Rafa
 *   ale naprawd nic nie zostao) do wszystkich *.java
 *
 * Revision 1.3  2004/01/14 18:50:04  michalis
 * * Item and all subclasses redesigned
 *
 * Revision 1.2  2004/01/13 20:25:23  michalis
 * * Some docs corrected
 *
 * Revision 1.1  2004/01/13 20:15:15  michalis
 * + Class StatModifyingItem as base class for Weapon, Ring and Armor 
 *
 */
