/*
  Copyright 2004 Michalis Kamburelis, Micha Saaban.

  This file is part of "Jamy & Nory".

  "Jamy & Nory" is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  "Jamy & Nory" is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with "Jamy & Nory"; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package jamy_i_nory.game;

public class Weapon extends StatModifyingItem {

  public DiceRandom hit; /* TODO: final ? */ 
  
  public Weapon(float aWeight, String aName, String aKind, 
    String aSpecialName, StatModifier aStat, DiceRandom aHit)
  {
    super(aWeight, aName, aKind, aSpecialName, aStat);
    hit = aHit;
  }  
  
  public String toString()
  {
    return super.toString() +" (" +hit +")";
  }
}

/* 
 * $Log: Weapon.java,v $
 * Revision 1.1  2004/02/18 14:37:35  michalis
 * * pl stringi
 * * --help output changed (to reflect that those classes will be run by bin/scripts)
 * preparations for ClientApplet:
 * * Client rozdzielony na Client i ClientStandalone
 * * znaczna cz pakietu common przeniesiona do nowego pakietu game
 * X* make jamy_i_nory_client_applet.jar
 *
 * Revision 1.11  2004/02/09 23:08:53  michalis
 * + GPL license clause i copyrighty (moje i gdzieniegdzie Michaa, sorry Rafa
 *   ale naprawd nic nie zostao) do wszystkich *.java
 *
 * Revision 1.10  2004/01/18 06:26:33  michalis
 * * HitModifier ranamed to DiceRandom (more general name, this class may
 *   be used in many other cases when we need the AkB+C kind of randomness),
 *   small changes: + constantBonus, - parameterless constructor (useless).
 *
 * Revision 1.9  2004/01/15 13:41:21  emes
 * * Armor & Weapon are not abstract anymore
 *
 * Revision 1.8  2004/01/15 13:19:42  emes
 * * s/Pullic/Public/
 *
 * Revision 1.7  2004/01/14 18:50:04  michalis
 * * Item and all subclasses redesigned
 *
 * Revision 1.6  2004/01/13 20:15:15  michalis
 * + Class StatModifyingItem as base class for Weapon, Ring and Armor
 *
 * Revision 1.5  2004/01/10 05:06:52  michalis
 * * getHit basic implementation moved to Weapon
 *
 * Revision 1.4  2004/01/08 22:37:42  michalis
 * + CVS Logs appended to all .java files
 *
 *
 */
