/*
  Copyright 2004 Michalis Kamburelis.

  This file is part of "Jamy & Nory".

  "Jamy & Nory" is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  "Jamy & Nory" is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with "Jamy & Nory"; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package jamy_i_nory.server;

import jamy_i_nory.common.*;
import jamy_i_nory.game.*;

/** Tak jak InactivePlayer to zamroona klasa Player tak 
   InactivePlayerConnection (podklasa InactivePlayer) to zamroona klasa
   PlayerConnection (podklasa Player). Suy do zamraania dodatkowych pl 
   jakie ma PlayerConnection w porwnaniu z Player. */
class InactivePlayerConnection extends InactivePlayer {
  
  final public String passwd;

  InactivePlayerConnection(PlayerConnection playerConnection)
  {
    super(playerConnection);
    passwd = playerConnection.passwd();
  }
}

/*
 * $Log: InactivePlayerConnection.java,v $
 * Revision 1.2  2004/02/18 14:37:37  michalis
 * * pl stringi
 * * --help output changed (to reflect that those classes will be run by bin/scripts)
 * preparations for ClientApplet:
 * * Client rozdzielony na Client i ClientStandalone
 * * znaczna cz pakietu common przeniesiona do nowego pakietu game
 * X* make jamy_i_nory_client_applet.jar
 *
 * Revision 1.1  2004/02/10 00:39:42  michalis
 * * po kilku bezproduktywnych commitach (jakie reorganizacje ...) co konkretnego:
 *   Zamroony na serwerze gracz jest chroniony hasem.
 *
 */
